// pages/home/me/indexx.js
import Toast from 'tdesign-miniprogram/toast/index';
import Dialog from 'tdesign-miniprogram/dialog/index';
const app = getApp();//新建页面时 默认引入
const req = app.xzjlReq();//初始化一个的request() 实例
Page({

    /**
     * 页面的初始数据
     */
    data: {
        showConfirm: false

    },
    ReqData(){
        req.getRequest('/getList',{id: 1024}).then((res)=>{
            console.log(res);
           }).catch((err)=>{
            console.log(err);
           })
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        this.ReqData()
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    },
    go2Index(){
        wx.navigateTo({
            url: '/pages/index/index'
          })
          Toast({
            context: this,
            selector: '#t-toast',
            message: '退出成功！',
          });
    }
    ,
    ljXzjl(){
        
        console.log(app.globalData.xx)
    },
    logout() {
        const dialogConfig = {
          context: this,
          title: '退出登录',
          content: '星座精灵是一款快速能够让你快速了解自己的星座特征以及星座运势，确定需要退出吗？',
          confirmBtn: '确定',
          cancelBtn: '取消',
        };
  
        Dialog.confirm(dialogConfig)
          .then(() => {
            req.deleteRequest('/api/user/logout',{}).then((res)=>{
                if(res.data.code===200){
                    wx.navigateTo({
                        url: '/pages/index/index'
                      })
                      Toast({
                        context: this,
                        selector: '#t-toast',
                        message: '退出成功！',
                      });
                }
               }).catch((err)=>{
                Toast({
                    context: this,
                    selector: '#t-toast',
                    message: '退出失败！',
                  });
               })
 
            })
          .catch(() => console.log('点击了取消'))
          .finally(() => {
            wx.setStorageSync('token', '')
            Dialog.close()});
      },
})